Subject: Re: Unresolved issues #3

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Aug 2006 19:09:14 +0200

Aneesh Kumar K.V wrote:

> Jakub Narebski wrote:
>> Aneesh Kumar K.V wrote:
>> 
>>> Junio C Hamano wrote:
>>>
>>>> * Jeff Garzik reports that the summary page of gitweb does not
>>>>   look at anything other than "master" which is not appropriate
>>>>   for his tree.
>>>>
>>>>   Message-ID: <[email-masked]>
>>>>
>>>>   I probably should bug gitweb gang (Jakub, Luben, Martin Waitz,
>>>>   Aneesh) about this.
>>> I just tried editing HEAD. For the project 
>>>
>>> http://git.openssi.org/~kvaneesh/gitweb.cgi?p=ci-to-linus.git;a=summary
>>>
>>> $more HEAD
>>> ref: refs/heads/from-linus
>>> $
>>>
>>> Is this solution fine ?. Or do we want to add a git-rep-config 
>>> variable to indicate which branch to show. 
>> 
>> Err, of course gitweb shows "Last Change" for HEAD, which usually is
>> master.  The solution would be to show "Last Change" date to be the date
>> of last change of all/any branch.
> 
> I didn't quiet understand that. AFAIU what jeff wanted is to make 
> gitweb show some branch other than master by default in the summary page.
> I guess editing HEAD enables that. 

Editing head, well, having other branch checked out would be enough (checked
out before push would be enough I guess for gitweb repository being
"published repository", other that the copy you are working on).

AFAIR the problem was that development was not made at "master", so "Last
Changes" were last changes in master, no last changes as a whole. Last
changes date as a whole would be last change date of latest edited branch.
And for this I'd rather have functioning git-show-refs, for performance (at
least with larger number of heads...). 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git